import { Action } from '../actions';
import { ITreeItem } from '@git-stack/client-core';
export declare type GitState = {
    calling?: boolean;
    command?: string;
    args?: ITreeItem | Array<ITreeItem>;
    commitMsg?: string;
    onShowInputModal?: any;
    isPathConfirm: boolean;
    cloneStep: number;
    repository?: string;
    rootPath?: string;
    branch?: string;
    tagStep: number;
    tag?: string;
    tagMessage?: string;
    currentBranch?: string;
    refs?: any;
    stashList?: any;
    fullPath?: any;
    selectedPath?: any;
    getRefs: boolean;
    stashMessage?: string;
    isStashMessage: boolean;
    repositories: Array<any>;
    globalNameNote: boolean;
    refRepo?: string;
    lastCommand: string;
};
export declare const gitReducer: (state: GitState, action: Action) => GitState;
